Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675838 - app-shells/thefuck-3.28 fails tests: INTERNALERROR> pluggy.manager.PluginValidationError: unknown hook pytest_namespace in plugin <module pytest_raisesregexp.plugin from /usr/lib64/python3.6/site-packages/pytest_raisesregexp/plugin.py >
Summary: app-shells/thefuck-3.28 fails tests: INTERNALERROR> pluggy.manager.PluginVali...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Attali
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2019-01-19 10:20 UTC by Toralf Förster
Modified: 2022-02-13 09:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.28 KB, text/plain)
2019-01-19 10:20 UTC, Toralf Förster
Details
app-shells:thefuck-3.28:20190119-060416.log (app-shells:thefuck-3.28:20190119-060416.log,29.86 KB, text/plain)
2019-01-19 10:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,178.52 KB, text/plain)
2019-01-19 10:20 UTC, Toralf Förster
Details
environment (environment,111.53 KB, text/plain)
2019-01-19 10:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.98 KB, application/x-bzip)
2019-01-19 10:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.51 KB, application/x-bzip)
2019-01-19 10:20 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,50.66 KB, application/x-bzip)
2019-01-19 10:20 UTC, Toralf Förster
Details
Fixes the tests failures. (thefuck-3.28-pytest4-api.patch,607 bytes, patch)
2019-01-20 16:23 UTC, Andrew Attali
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-01-19 10:20:05 UTC
INTERNALERROR>   File "/usr/lib64/python3.6/site-packages/pluggy/manager.py", line 241, in check_pending
INTERNALERROR>     (name, hookimpl.plugin))
INTERNALERROR> pluggy.manager.PluginValidationError: unknown hook 'pytest_namespace' in plugin <module 'pytest_raisesregexp.plugin' from '/usr/lib64/python3.6/site-packages/pytest_raisesregexp/plugin.py'>

========================= no tests ran in 3.75 seconds =========================
 * ERROR: app-shells/thefuck-3.28::gentoo failed (test phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_libressl-test_20190114-161004

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.32.0
  [2]   rust-bin-1.32.0 *



emerge -qpvO app-shells/thefuck
[ebuild  N    ] app-shells/thefuck-3.28  USE="test" PYTHON_TARGETS="python3_6 -python3_4 -python3_5 -python3_7"
Comment 1 Toralf Förster gentoo-dev 2019-01-19 10:20:08 UTC
Created attachment 562140 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-01-19 10:20:10 UTC
Created attachment 562142 [details]
app-shells:thefuck-3.28:20190119-060416.log
Comment 3 Toralf Förster gentoo-dev 2019-01-19 10:20:13 UTC
Created attachment 562144 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-01-19 10:20:16 UTC
Created attachment 562146 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-01-19 10:20:19 UTC
Created attachment 562148 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-01-19 10:20:21 UTC
Created attachment 562150 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-01-19 10:20:24 UTC
Created attachment 562152 [details]
tests.tbz2
Comment 8 Andrew Attali 2019-01-20 16:22:54 UTC
Can confirm, I got the same errors.

Seems that's because of breaking API changes of pytest 4, which makes some functions deprecated.

Upstream fixed the issue so I made a patch. Works fine with it, I don't know if I should revbump the ebuild since it only fixes test errors (and I need to submit a new PR on github or just post the ebuild here).
Comment 9 Andrew Attali 2019-01-20 16:23:53 UTC
Created attachment 562312 [details, diff]
Fixes the tests failures.
Comment 10 Jonas Stein gentoo-dev 2021-10-24 17:48:53 UTC
this still needs to be merged to the tree. Please create an pull request, or contact someone to merge it for you. Close, when it is merged to the tree.
Comment 11 Joonas Niilola gentoo-dev 2021-10-25 07:46:01 UTC
Unfortunately the patch doesn't fix test phase for me, seems to be a lot of permission denied errors (trying to access system directories outside sandbox) and therefore file missing errors. Did this ever work...?
Comment 12 Agostino Sarubbo gentoo-dev 2022-02-13 09:55:29 UTC
Update summary. [something] is used when something refers to an overlay